function wait_interruptible(hObject,eventdata)
        % Disable the other push button.
        set(h_noninterrupt,'Enable','off')
        % Clear the axes in the other GUI.
        cla(h_axes2,'reset')
        % Create and update the waitbar.
        create_update_waitbar
        % Enable the other push button
        set(h_noninterrupt,'Enable','on')
    end